.toast-container {
  width: 100vw;
  height: 100vh;
  top: 0;
  background-color: #0000004d;
  right: unset;
  left: 0;
  display: none;
  pointer-events: none;
  flex-wrap: wrap;
  flex-direction: column;
  gap: 10px;
  align-items: center;
  justify-content: center;
}

.toast-container.show {
  position: fixed;
  z-index: 10000;
  opacity: 1;
  display: flex !important;
}

.toast {
  background: #fff;
  border-radius: 14px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
  padding: 16px 20px;
  margin-bottom: 10px;
  max-width: 600px;
  pointer-events: auto;
  transition: all 0.3s ease;
  border-left: 4px solid #007cba;
  position: relative;
}

.toast.show {
  width: 600px;
  height: auto;
  margin: 0;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.toast .property-name {
  font-size: 18px;
  font-weight: bold;
  color: #484848;
  margin-bottom: 30px;
}

.toast.success {
  border-left: unset;
}

.toast.error {
  border-left-color: #d63638;
}

.toast.warning {
  border-left-color: #dba617;
}

.toast.info {
  border-left-color: #007cba;
}

.toast-content {
  width: 100%;
  height: 100%;
  display: block;
}

.innerContentToast {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
}

.hotelBookingName {
  width: 100%;
}

.flexToast {
  width: 100%;
  display: flex;
  gap: 30px;
  align-items: start;
}

.btnReservas {
  margin-top: 25px;
}

.imgHotelToast {
  border-radius: 10px;
  overflow: hidden;
  width: 180px;
}

.imgHotelToast img {
  width: 100%;
}

.btnReservas a {
  width: 200px;
  height: 41px;
  background-color: #ba84fc;
  border: 1px solid #ba84fc;
  color: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  border-radius: 50px;
  transition: all 0.5s ease;
}

.btnReservas a:hover {
  transform: translateY(-2px);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.toast-icon {
  font-size: 20px;
  margin-top: 2px;
}

.toast.success .toast-icon {
  color: #00a32a;
}

.toast.error .toast-icon {
  color: #d63638;
}

.toast.warning .toast-icon {
  color: #dba617;
}

.toast.info .toast-icon {
  color: #007cba;
}

.toast-message {
  flex: 1;
  font-size: 14px;
  line-height: 1.4;
  color: #1e1e1e;
}

.toast-close {
  position: absolute;
  top: 8px;
  right: 8px;
  background: none;
  border: none;
  font-size: 18px;
  cursor: pointer;
  color: #666;
  padding: 0;
  width: 20px;
  height: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.5s ease;
}

.toast-close:hover {
  color: #000;
  box-shadow: unset;
  transform: unset;
}

.toast-icon {
  display: none;
}

.btnHotelToast {
  margin-top: 35px;
}

.toast-close:hover {
  transform: rotate(-90deg);
}

@keyframes slideIn {
  from {
    transform: translateX(100%);
    opacity: 0;
  }

  to {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes slideOut {
  from {
    transform: translateX(0);
    opacity: 1;
  }

  to {
    transform: translateX(100%);
    opacity: 0;
  }
}

@media only screen and (max-width: 768px) {
  .booking-modal-content {
    top: 50%;
    position: absolute;
    left: 50%;
    transform: translate(-50%, -50%);
    margin: 0;
    padding: 20px 15px;
  }

  .btn {
    padding: 12px 18px;
  }

  .containerBtns {
    margin-top: 20px;
  }
  .modal-actions > div {
    gap: 5px !important;
  }

  .containerBtns > div:last-child button i {
    display: none !important;
  }

  .containerBtns > div:last-child button {
    padding: 12px 15px;
    margin-left: 5px;
  }

  .modal-actions .btn {
    padding: 12px 15px;
  }

  /** MODAL PARA MOBILE **/

  div#toast-container {
    background-color: #f3f3eb;
  }

  .toast.success.mobileToast {
    background: unset;
    box-shadow: unset;
    padding: 0;
    width: 100%;
    max-width: 100%;
  }

  .mobileToast .innerContentToast {
    padding: 0 20px;
  }

  .mobileToast .hotelBookingName h3 {
    font-size: 22px;
    text-align: center;
  }

  .mobileToast .flexToast {
    background-color: #ffffff;
    padding: 10px 20px;
    flex-direction: column;
    border-radius: 10px;
    gap: 10px;
  }

  .mobileToast .imgHotelToast {
    width: 100%;
  }

  .mobileToast .btnHotelToast {
    margin-top: 15px;
  }

  .mobileToast .toast-close {
    left: 6%;
    top: -30px;
    font-size: 0;
    width: 50px;
    height: 25px;
    border: 1px solid #8a8f9a;
    border-radius: 40px;
  }

  .mobileToast .toast-close::before {
    content: "Salir";
    width: 50px;
    height: 25px;
    line-height: 1;
    font-size: 14px;
    position: absolute;
    border-radius: 40px;
    display: grid;
    place-content: center;
    pointer-events: all;
    left: 0;
    top: 0;
  }

  .mobileToast .btnReservas a {
    border: 1px solid #ba84fc;
    padding: 4px 20px;
    border-radius: 40px;
    background-color: #ba84fc;
    color: #ffffff;
  }

  .toast .property-name {
    margin-bottom: 15px;
    text-align: center;
  }
}

@media only screen and (min-width: 1200px) {
  .hotelBookingName h3 {
    font-size: 24px;
    text-align: left;
    border-bottom: 2px solid #e0e0e0;
    padding-bottom: 10px;
  }

  .flexToast {
    flex-direction: row;
    gap: 15px;
  }

  .imgHotelToast {
    max-width: 230px;
    width: 100%;
    max-height: 100%;
    height: 100%;
  }

  .toast .property-name {
    margin-bottom: 15px;
  }

  .infoBookingToast {
    background-color: #efefef;
    padding: 20px 20px;
    border-radius: 10px;
    width: 100%;
  }

  .imgHotelToast img {
    object-fit: cover;
    object-position: center center;
    height: 100%;
    width: 100%;
  }

  .infoBookingToast > div p i {
    margin-right: 10px;
    width: 20px;
    color: #ba84fc;
  }
}
